Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003608 [JEDI VCL] 00 JVCL Components major always 2006-03-24 09:33 2006-04-13 04:24
Reporter pcraig View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.10
Summary 0003608: JvCheckTreeView displays wrong state image when setting checked state from code
Description In my code I'm setting the checked state of the nodes prior to displaying the tree. It correctly sets the StateIndex of the node, but the image that is displayed is still the unchecked image.

The following code will workaround the issue:
        treeview.Checked[node] := true;
        // workaround bug in tree which doesn't display the correct state image
        node.StateIndex := 0;
        node.StateIndex := ctvFilter.CheckBoxOptions.CheckBoxCheckedIndex;

This is only an issue when using style cbsJVCL.

I'm using JvCheckTreeView.pas version 1.21
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0008721)
pcraig (reporter)
2006-03-24 09:37

correction to sample code:

treeview.Checked[node] := true;
// workaround bug in tree which doesn't display the correct state image
node.StateIndex := 0;
node.StateIndex := treeview.CheckBoxOptions.CheckBoxCheckedIndex;
(0009086)
obones (administrator)
2006-04-13 04:24

This is now fixed in CVS, version 1.22 for JvCheckTreeView.pas and 1.109 for JvComCtrls.pas

- Issue History
Date Modified Username Field Change
2006-03-24 09:33 pcraig New Issue
2006-03-24 09:37 pcraig Note Added: 0008721
2006-04-13 04:24 obones Status new => resolved
2006-04-13 04:24 obones Resolution open => fixed
2006-04-13 04:24 obones Assigned To => obones
2006-04-13 04:24 obones Note Added: 0009086
2014-11-19 01:15 npravdin Issue Monitored: npravdin
2014-11-19 01:15 npravdin Issue End Monitor: npravdin


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker